Issue 125776 - Support Xcode 6 and API changes in 10.9 platform SDK
Summary: Support Xcode 6 and API changes in 10.9 platform SDK
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 4.2.0-dev
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.1.2
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-21 07:07 UTC by jsc
Modified: 2015-10-17 22:19 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
pescetti: 4.1.2_release_blocker+


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description jsc 2014-10-21 07:07:58 UTC
AOO should be buildable with Xcode 6 and should take care of API changes in 10.9 platform SDK
Comment 1 SVN Robot 2014-10-21 07:25:12 UTC
"jsc" committed SVN revision 1633294 into trunk:
#125776# adapt STL include path for Xcode 6
Comment 2 SVN Robot 2014-10-21 07:47:43 UTC
"hdu" committed SVN revision 1633297 into trunk:
#i125776# handle OSX SDK 10.9 changes regarding NSPrintingOrientation -> NSPa...
Comment 3 SVN Robot 2015-09-25 22:58:27 UTC
"pescetti" committed SVN revision 1705370 into branches/AOO410:
#i125776# Adapt STL include path for Xcode 6.
Comment 4 Andrea Pescetti 2015-09-25 23:10:09 UTC
Now committed (both parts) to AOO410 for OpenOffice 4.1.2.
Comment 5 SVN Robot 2015-09-25 23:10:10 UTC
"pescetti" committed SVN revision 1705373 into branches/AOO410:
#i125776# handle OSX SDK 10.9 changes regarding NSPrintingOrientation -> NSPa...
Comment 6 Andrea Pescetti 2015-10-17 22:19:02 UTC
Build was OK with no need for other patches as of OpenOffice 4.1.2-RC2. Closing.